Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface NeoResourceManagement

All Known Implementing Classes:
  NeoResourceManagementImpl

      public interface NeoResourceManagement

Resource Management Interface
This interface has the following functionalities:

- Virtual Machine Template Management
  - Operations: Discover, Import, Approve, Delete, Cancel, Query
- Virtual Machine Image Management
  - Operations: Discover, Import, Approve, Delete, Cancel, Query
- ISO Resource Management
  - Operations: Discover, Import, Approve, Delete, Cancel, Mount, Query
- Shared Virtual Disk Management
  - Operations: Create, Delete, Query
- OVF Template
  - Operations: Set/Get OVF contents
- Apply configuration to guest OS
- Upload/Download binaries

Method Summary
`ISOResource` | `approveISO(java.lang.Long isoResourceId)` Approve pending iso resource
`VirtualMachineTemplate` | `ApproveTemplate(java.lang.Long templateResourceId)`
`VirtualMachineImage` | `ApproveVMImage(java.lang.Long VMResourceId)`
`void` | `cancelExternalISO(java.lang.Long isoResourceId)` Cancel an importing external iso resource
`void` | `cancelExternalVirtualMachineImage(java.lang.Long imageId)` Cancel an importing external virtual machine image
`void` | `cancelExternalVirtualMachineTemplate(java.lang.Long templateId)` Cancel an importing external virtual machine template
`void` | `deleteISO(java.lang.Long isoResourceID)` Deletes the ISO from server pool (physically also)
`void` | `deleteSharedDisk(java.lang.Long sharedDiskResourceID)` Deletes the Shared Disk from server pool (physically also)
`void` | `deleteTemplate(java.lang.Long templateResourceId)` Deletes the template from server pool (physically also)
`void` | `deleteVMResource(java.lang.Long vmResourceId)` Delete virtual machine image
`void` | `downloadBinary(ServerPool serverPool, oracle.ovs.biz.util.OvmUrl binaryUrl, java.lang.String localFilePath, ProxyServer proxyServer)` download external resource
`void` | `extractTemplateBinary(ServerPool serverPool, java.lang.String resourceLocation, java.lang.String fileLocation)` Extract the bundle to seed pool
`java.util.Map` | `freespace_validator(ServerPool serverPool, int size)` validator for free disk space for all repositories.
`java.util.Map` | `freespace_validator(ServerPool serverPool, java.lang.String vmPath, int size)` validator for free disk space for the repository where one vm locates
`DiscoveredISO[]` | `getAllDiscoverableISO(ServerPool serverPool)` Get unregistered iso files in one server pool
`DiscoveredVirtualMachineTemplate[]` | `getAllDiscoverableTemplates(ServerPool serverPool)` Get unregistered virtual machine templates in one server pool
`DiscoveredVirtualMachineImage[]` | `getAllDiscoverableVMs(ServerPool serverPool)` Get unregistered virtual machine images in one server pool
`java.lang.String[]` | `getAllISOGroups(ServerPool serverPool)` Get registered iso resource groups in one server pool
`ISOResource[]` | `getAllISOResources(ServerPool serverPool)` Get all registered iso resources in one server pool
`SharedVirtualDisk[]` | `getAllSharedDiskResources(ServerPool serverPool)` Get all registered shared virtual disks
`VirtualMachineTemplate[]` | `getAllTemplateResources(ServerPool serverPool)` Get all registered virtual machine templates
`VirtualMachineImage[]` | `getAllVMResources(ServerPool serverPool)` Get all registered virtual machine images
`java.lang.String` | `getImportType(ServerPool sp, java.lang.String vmPath)` return ovm or v2v type
`ISOResource` | `getISOResource(java.lang.Long isoResourceID)` Get registered iso resource by id
`ISOResource` | `getISOResourceByGroupNameAndISOName(ServerPool serverPool, java.lang.String groupName, java.lang.String isoName)` Get iso resource by iso group name and iso label name
`ISOResource` | `getISOResourceByName(ServerPool serverPool, java.lang.String name)` Returns the ISO resource instance, given the display name.
`ISOResource[]` | `getISOResourcesByGroupName(ServerPool sp, java.lang.String groupName)` Get all registered iso resources in a group of one server pool
`ISOResource[]` | `getISOResourcesByISOName(ServerPool sp, java.lang.String isoName)` Get all registered iso resources by iso label name in one server pool
`java.lang.String` | `getOvfEnv(ServerPool serverPool, java.lang.String vmName)` get ovf-env.xml content
`java.lang.String` | `getRepositoryLocation(ServerPool serverPool)` Get the base location for importing resources
`java.lang.String` | `getResourceDirectory(ServerPool serverPool, ISOResource ir)` Get the real path of the ISOResource
`java.lang.String` | `getResourceDirectory(ServerPool serverPool, VirtualMachineTemplate tr)` Get the real path of the TemplateResource
`SharedVirtualDisk` | `getSharedDiskResource(java.lang.Long sharedDiskResourceID)` Returns the Shared Disk resource instance.
`SharedVirtualDisk` | `getSharedDiskResourceByName(ServerPool serverPool, java.lang.String name)` Returns the Shared Disk resource instance, given the display name.
`VirtualMachineTemplate` | `getTemplateResource(java.lang.Long templateResourceId)` Returns the template resource instance.
`VirtualMachineTemplate` | `getTemplateResourceByName(ServerPool serverPool, java.lang.String name)` Returns the template resource instance, given the display name.
`VirtualMachineImage` | `getVirtualMachineImagebyImageId(java.lang.Long imageId)` Get registered virtual macine image by image id
`VirtualMachineImage` | `getVirtualMachineImageByName(ServerPool serverPool, java.lang.String imageName)` Get registered virtual machine image by image name in one server pool
`VirtualMachineImage` | `getVMResourceByName(ServerPool serverPool, java.lang.String name)` Returns the VMResource instance
`void` | `mountISO_NFS(ServerPool serverPool, ISOResource iso, java.lang.String mountPath, java.lang.String hostname)`
`void` | `moveToNfsLocation(ServerPool serverPool, java.lang.String filePath, oracle.ovs.biz.util.OvmUrl nfsLocation)` move to nfs location
`java.util.Map` | `parseVirtualMachineConfig(ServerPool serverPool, java.lang.String vmPath)` Pre-check the virtual machine config and returns the results as a map
`ISOResource` | `registerISO(ServerPool serverPool, ISOResourceConfig isoResourceConfig)` Registers an ISO resource (available in a shared location on the server pool).
`java.util.Map` | `registerISOPrerequisite(ServerPool serverPool, ISOResourceConfig isoResourceConfig)` precheck for registerISO
`SharedVirtualDisk` | `registerSharedDisk(ServerPool serverPool, SharedVirtualDiskConfig sharedDiskResourceConfig)` Creates (physically) a new disk on the shared storage, and registers it as a sharable disk amongst the Virtual Machines on the server pool.
`VirtualMachineTemplate` | `registerTemplate(ServerPool serverPool, VirtualMachineTemplate virtualMachineTemplate)` Registers a template resource (available in a shared location on the server pool).
`java.util.Map` | `registerTemplatePrerequisite(ServerPool serverPool, VirtualMachineTemplate virtualMachineTemplate)` precheck for registerTemplate
`VirtualMachineImage` | `registerVM(ServerPool serverPool, VirtualMachineImage vmImage)`
`void` | `setOvfEnv(ServerPool serverPool, java.lang.String vmName, java.lang.String ovfContent)` set ovfenv.xml
`void` | `unmountISO_NFS(ServerPool serverPool, ISOResource iso, java.lang.String mountPath, java.lang.String hostname)`
`void` | `uploadTemplate(VirtualMachineTemplate template, oracle.ovs.biz.util.OvmUrl tgtUrl)` Upload template to an external NFS location.
`java.lang.Boolean` | `validateURL(ServerPool serverPool, ExternalResource externalResource)` validate remote url

Method Detail

### deleteISO

    void deleteISO(java.lang.Long isoResourceID)
                   throws oracle.ovs.biz.exception.OVSException

  Deletes the ISO from server pool (physically also)
  Parameters:
    `isoResourceID` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteSharedDisk

    void deleteSharedDisk(java.lang.Long sharedDiskResourceID)
                          throws oracle.ovs.biz.exception.OVSException

  Deletes the Shared Disk from server pool (physically also)
  Parameters:
    `sharedDiskResourceID` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteTemplate

    void deleteTemplate(java.lang.Long templateResourceId)
                        throws oracle.ovs.biz.exception.OVSException

  Deletes the template from server pool (physically also)
  Parameters:
    `templateResourceId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteVMResource

    void deleteVMResource(java.lang.Long vmResourceId)
                          throws oracle.ovs.biz.exception.OVSException

  Delete virtual machine image
  Parameters:
    `vmResourceId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableISO

    DiscoveredISO[] getAllDiscoverableISO(ServerPool serverPool)
                                          throws oracle.ovs.biz.exception.OVSException

  Get unregistered iso files in one server pool
  Parameters:
    `serverPool` -
  Returns:
    discovered iso resources
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableTemplates

    DiscoveredVirtualMachineTemplate[] getAllDiscoverableTemplates(ServerPool serverPool)
                                                                   throws oracle.ovs.biz.exception.OVSException

  Get unregistered virtual machine templates in one server pool
  Parameters:
    `serverPool` -
  Returns:
    discovered virtual machine templates
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableVMs

    DiscoveredVirtualMachineImage[] getAllDiscoverableVMs(ServerPool serverPool)
                                                          throws oracle.ovs.biz.exception.OVSException

  Get unregistered virtual machine images in one server pool
  Parameters:
    `serverPool` -
  Returns:
    discovered virtual machine image info
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllISOResources

    ISOResource[] getAllISOResources(ServerPool serverPool)
                                     throws oracle.ovs.biz.exception.OVSException

  Get all registered iso resources in one server pool
  Parameters:
    `serverPool` -
  Returns:
    iso resource array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllSharedDiskResources

    SharedVirtualDisk[] getAllSharedDiskResources(ServerPool serverPool)
                                                  throws oracle.ovs.biz.exception.OVSException

  Get all registered shared virtual disks
  Parameters:
    `serverPool` -
  Returns:
    shared virtual disk array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllTemplateResources

    VirtualMachineTemplate[] getAllTemplateResources(ServerPool serverPool)
                                                     throws oracle.ovs.biz.exception.OVSException

  Get all registered virtual machine templates
  Parameters:
    `serverPool` -
  Returns:
    virtual machine template array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllVMResources

    VirtualMachineImage[] getAllVMResources(ServerPool serverPool)
                                            throws oracle.ovs.biz.exception.OVSException

  Get all registered virtual machine images
  Parameters:
    `serverPool` -
  Returns:
    virtual machine image array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResource

    ISOResource getISOResource(java.lang.Long isoResourceID)
                               throws oracle.ovs.biz.exception.OVSException

  Get registered iso resource by id
  Parameters:
    `isoResourceID` -
  Returns:
    found iso resource
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByName

    ISOResource getISOResourceByName(ServerPool serverPool,
                                     java.lang.String name)
                                     throws oracle.ovs.biz.exception.OVSException

  Returns the ISO resource instance, given the display name.
  Parameters:
    `serverPool` -
    `name` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getSharedDiskResource

    SharedVirtualDisk getSharedDiskResource(java.lang.Long sharedDiskResourceID)
                                            throws oracle.ovs.biz.exception.OVSException

  Returns the Shared Disk resource instance.
  Parameters:
    `sharedDiskResourceID` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getSharedDiskResourceByName

    SharedVirtualDisk getSharedDiskResourceByName(ServerPool serverPool,
                                                  java.lang.String name)
                                                  throws oracle.ovs.biz.exception.OVSException

  Returns the Shared Disk resource instance, given the display name.
  Parameters:
    `serverPool` -
    `name` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResource

    VirtualMachineTemplate getTemplateResource(java.lang.Long templateResourceId)
                                               throws oracle.ovs.biz.exception.OVSException

  Returns the template resource instance.
  Parameters:
    `templateResourceId` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResourceByName

    VirtualMachineTemplate getTemplateResourceByName(ServerPool serverPool,
                                                     java.lang.String name)
                                                     throws oracle.ovs.biz.exception.OVSException

  Returns the template resource instance, given the display name.
  Parameters:
    `serverPool` -
    `name` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVMResourceByName

    VirtualMachineImage getVMResourceByName(ServerPool serverPool,
                                            java.lang.String name)
                                            throws oracle.ovs.biz.exception.OVSException

  Returns the VMResource instance
  Parameters:
    `serverPool` -
    `name` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerISO

    ISOResource registerISO(ServerPool serverPool,
                            ISOResourceConfig isoResourceConfig)
                            throws oracle.ovs.biz.exception.OVSException

  Registers an ISO resource (available in a shared location on the server pool).
  Parameters:
    `serverPool` -
    `isoResourceConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### approveISO

    ISOResource approveISO(java.lang.Long isoResourceId)
                           throws oracle.ovs.biz.exception.OVSException

  Approve pending iso resource
  Parameters:
    `isoResourceId` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerSharedDisk

    SharedVirtualDisk registerSharedDisk(ServerPool serverPool,
                                         SharedVirtualDiskConfig sharedDiskResourceConfig)
                                         throws oracle.ovs.biz.exception.OVSException

  Creates (physically) a new disk on the shared storage, and registers it as a sharable disk amongst the Virtual Machines on the server pool.
  Parameters:
    `serverPool` -
    `sharedDiskResourceConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerTemplate

    VirtualMachineTemplate registerTemplate(ServerPool serverPool,
                                            VirtualMachineTemplate virtualMachineTemplate)
                                            throws oracle.ovs.biz.exception.OVSException

  Registers a template resource (available in a shared location on the server pool).
  Parameters:
    `serverPool` -
    `virtualMachineTemplate` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerVM

    VirtualMachineImage registerVM(ServerPool serverPool,
                                   VirtualMachineImage vmImage)
                                   throws oracle.ovs.biz.exception.OVSException

  Parameters:
    `serverPool` -
    `vmImage` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.ResourceException`
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### ApproveTemplate

    VirtualMachineTemplate ApproveTemplate(java.lang.Long templateResourceId)
                                           throws oracle.ovs.biz.exception.OVSException

  Parameters:
    `templateResourceId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### ApproveVMImage

    VirtualMachineImage ApproveVMImage(java.lang.Long VMResourceId)
                                       throws oracle.ovs.biz.exception.OVSException

  Parameters:
    `VMResourceId` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    java.lang.String getResourceDirectory(ServerPool serverPool,
                                          VirtualMachineTemplate tr)
                                          throws oracle.ovs.biz.exception.OVSException

  Get the real path of the TemplateResource
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    java.lang.String getResourceDirectory(ServerPool serverPool,
                                          ISOResource ir)
                                          throws oracle.ovs.biz.exception.OVSException

  Get the real path of the ISOResource
  Parameters:
    `serverPool` -
    `ir` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getRepositoryLocation

    java.lang.String getRepositoryLocation(ServerPool serverPool)
                                           throws oracle.ovs.biz.exception.OVSException

  Get the base location for importing resources
  Parameters:
    `serverPool` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getOvfEnv

    java.lang.String getOvfEnv(ServerPool serverPool,
                               java.lang.String vmName)
                               throws oracle.ovs.biz.exception.OVSException

  get ovf-env.xml content
  Parameters:
    `serverPool` -
    `vmName` -
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### setOvfEnv

    void setOvfEnv(ServerPool serverPool,
                   java.lang.String vmName,
                   java.lang.String ovfContent)
                   throws oracle.ovs.biz.exception.OVSException

  set ovfenv.xml
  Parameters:
    `serverPool` -
    `vmName` -
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### freespace_validator

    java.util.Map freespace_validator(ServerPool serverPool,
                                      int size)
                                      throws oracle.ovs.biz.exception.OVSException

  validator for free disk space for all repositories.
  Parameters:
    `serverPool` -
    `size` -
  Returns:
    Map.get("result"); Map.get("info");
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### freespace_validator

    java.util.Map freespace_validator(ServerPool serverPool,
                                      java.lang.String vmPath,
                                      int size)
                                      throws oracle.ovs.biz.exception.OVSException

  validator for free disk space for the repository where one vm locates
  Parameters:
    `serverPool` -
    `vmPath` -
    `size` -
  Returns:
    Map.get("result"); Map.get("info");
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### mountISO_NFS

    void mountISO_NFS(ServerPool serverPool,
                      ISOResource iso,
                      java.lang.String mountPath,
                      java.lang.String hostname)
                      throws oracle.ovs.biz.exception.OVSException

  Parameters:
    `serverPool` - serverPool
    `iso` - ISOResource
    `mountPath` -
    `hostname` - (Default = "")
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unmountISO_NFS

    void unmountISO_NFS(ServerPool serverPool,
                        ISOResource iso,
                        java.lang.String mountPath,
                        java.lang.String hostname)
                        throws oracle.ovs.biz.exception.OVSException

  Parameters:
    `serverPool` -
    `iso` -
    `mountPath` -
    `hostname` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### extractTemplateBinary

    void extractTemplateBinary(ServerPool serverPool,
                               java.lang.String resourceLocation,
                               java.lang.String fileLocation)
                               throws oracle.ovs.biz.exception.OVSException

  Extract the bundle to seed pool
  Parameters:
    `serverPool` -
    `resourceLocation` -
    `fileLocation` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerISOPrerequisite

    java.util.Map registerISOPrerequisite(ServerPool serverPool,
                                          ISOResourceConfig isoResourceConfig)
                                          throws oracle.ovs.biz.exception.OVSException

  precheck for registerISO
  Parameters:
    `serverPool` -
    `isoResourceConfig` -
  Returns:
    report
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerTemplatePrerequisite

    java.util.Map registerTemplatePrerequisite(ServerPool serverPool,
                                               VirtualMachineTemplate virtualMachineTemplate)

  precheck for registerTemplate
  Parameters:
    `serverPool` -
    `virtualMachineTemplate` -
  Returns:
    report

### uploadTemplate

    void uploadTemplate(VirtualMachineTemplate template,
                        oracle.ovs.biz.util.OvmUrl tgtUrl)
                        throws oracle.ovs.biz.exception.OVSException

  Upload template to an external NFS location.
  Parameters:
    `template` -
    `tgtUrl` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### downloadBinary

    void downloadBinary(ServerPool serverPool,
                        oracle.ovs.biz.util.OvmUrl binaryUrl,
                        java.lang.String localFilePath,
                        ProxyServer proxyServer)
                        throws oracle.ovs.biz.exception.OVSException

  download external resource
  Parameters:
    `serverPool` -
    `binaryUrl` -
    `localFilePath` -
    `proxyServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### moveToNfsLocation

    void moveToNfsLocation(ServerPool serverPool,
                           java.lang.String filePath,
                           oracle.ovs.biz.util.OvmUrl nfsLocation)
                           throws oracle.ovs.biz.exception.OVSException

  move to nfs location
  Parameters:
    `serverPool` -
    `filePath` -
    `nfsLocation` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### parseVirtualMachineConfig

    java.util.Map parseVirtualMachineConfig(ServerPool serverPool,
                                            java.lang.String vmPath)
                                            throws oracle.ovs.biz.exception.OVSException

  Pre-check the virtual machine config and returns the results as a map
  Parameters:
    `serverPool` -
    `vmPath` -
  Returns:
    Map<item, result>
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### validateURL

    java.lang.Boolean validateURL(ServerPool serverPool,
                                  ExternalResource externalResource)
                                  throws oracle.ovs.biz.exception.OVSException

  validate remote url
  Parameters:
    `serverPool` -
    `externalResource` -
  Returns:
    Boolean.TRUE if the url validation is successful, or Boolean.FALSE
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVirtualMachineImageByName

    VirtualMachineImage getVirtualMachineImageByName(ServerPool serverPool,
                                                     java.lang.String imageName)
                                                     throws oracle.ovs.biz.exception.OVSException

  Get registered virtual machine image by image name in one server pool
  Parameters:
    `serverPool` -
    `imageName` -
  Returns:
    found virtual machine image
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllISOGroups

    java.lang.String[] getAllISOGroups(ServerPool serverPool)
                                       throws oracle.ovs.biz.exception.OVSException

  Get registered iso resource groups in one server pool
  Parameters:
    `serverPool` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVirtualMachineImagebyImageId

    VirtualMachineImage getVirtualMachineImagebyImageId(java.lang.Long imageId)
                                                        throws oracle.ovs.biz.exception.OVSException

  Get registered virtual macine image by image id
  Parameters:
    `imageId` -
  Returns:
    found virtual machine image
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByGroupNameAndISOName

    ISOResource getISOResourceByGroupNameAndISOName(ServerPool serverPool,
                                                    java.lang.String groupName,
                                                    java.lang.String isoName)
                                                    throws oracle.ovs.biz.exception.OVSException

  Get iso resource by iso group name and iso label name
  Parameters:
    `serverPool` -
    `groupName` -
    `isoName` -
  Returns:
    found iso resource
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourcesByGroupName

    ISOResource[] getISOResourcesByGroupName(ServerPool sp,
                                             java.lang.String groupName)
                                             throws oracle.ovs.biz.exception.OVSException

  Get all registered iso resources in a group of one server pool
  Parameters:
    `sp` -
    `groupName` -
  Returns:
    found iso resource array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourcesByISOName

    ISOResource[] getISOResourcesByISOName(ServerPool sp,
                                           java.lang.String isoName)
                                           throws oracle.ovs.biz.exception.OVSException

  Get all registered iso resources by iso label name in one server pool
  Parameters:
    `sp` -
    `isoName` -
  Returns:
    found iso resource array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### cancelExternalVirtualMachineTemplate

    void cancelExternalVirtualMachineTemplate(java.lang.Long templateId)
                                              throws oracle.ovs.biz.exception.OVSException

  Cancel an importing external virtual machine template
  Parameters:
    `templateId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### cancelExternalVirtualMachineImage

    void cancelExternalVirtualMachineImage(java.lang.Long imageId)
                                           throws oracle.ovs.biz.exception.OVSException

  Cancel an importing external virtual machine image
  Parameters:
    `imageId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### cancelExternalISO

    void cancelExternalISO(java.lang.Long isoResourceId)
                           throws oracle.ovs.biz.exception.OVSException

  Cancel an importing external iso resource
  Parameters:
    `isoResourceId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getImportType

    java.lang.String getImportType(ServerPool sp,
                                   java.lang.String vmPath)
                                   throws oracle.ovs.biz.exception.OVSException

  return ovm or v2v type
  Parameters:
    `sp` -
    `vmPath` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.